## ros-lunar-rosauth 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosauth)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp message_generation rostest)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate services in the 'srv' folder
add_service_files(
  FILES
  Authentication.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(CATKIN_DEPENDS roscpp message_runtime)

###########
## Build ##
###########

include_directories(
    ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(ros_mac_authentication src/ros_mac_authentication.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(ros_mac_authentication
  ${catkin_LIBRARIES} crypto
)

add_dependencies(ros_mac_authentication ${PROJECT_NAME}_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ros_mac_authentication
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  ## Add gtest based cpp test target and link libraries
  add_executable(ros_mac_authentication_test test/ros_mac_authentication_test.cpp)
  add_dependencies(ros_mac_authentication_test ${PROJECT_NAME}_gencpp)
  target_link_libraries(ros_mac_authentication_test ${catkin_LIBRARIES} ${GTEST_LIBRARIES} crypto dl pthread)
  add_rostest(test/ros_mac_authentication.test)
endif()

=== debian/changelog ===
ros-lunar-rosauth (0.1.7-2xenial) xenial; urgency=high

  * Merge pull request #8 from ckrooss/develop
    Added gencpp-dependency for test target
  * Added gencpp-dependency for test target
  * Contributors: Russell Toris, ckrooss

 -- Russell Toris <rctoris@wpi.edu>  Mon, 10 Aug 2015 07:00:00 -0000

ros-lunar-rosauth (0.1.6-2xenial) xenial; urgency=high

  * Merge pull request #5 from cottsay/hydro-devel
    missing libssl-dev during build
  * Added libssl-dev to build_depend
  * Contributors: Russell Toris, Scott K Logan

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 07:00:00 -0000

ros-lunar-rosauth (0.1.5-2xenial) xenial; urgency=high

  * Merge pull request #6 from forouher/develop
    add missing catkin dependencies
  * add missing catkin dependencies
  * Now runs hydro and groovy
  * fixed dox file
  * Contributors: Dariush Forouher, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 08:00:00 -0000

ros-lunar-rosauth (0.1.4-2xenial) xenial; urgency=high

  * dox file fixed
  * authors file added
  * travis now runs tests
  * cleanup for indigo
  * Merge branch 'hydro-devel' of github.com:WPI-RAIL/rosauth into develop
  * Merge pull request #4 <https://github.com/WPI-RAIL/rosauth/issues/4> from FriedCircuits/hydro-devel
    Add IF for rostest
  * Add IF for rostest
  * switched to sha512
  * bug in rosauth fixed
  * Contributors: Russell Toris, William

 -- Russell Toris <rctoris@wpi.edu>  Thu, 03 Apr 2014 07:00:00 -0000

ros-lunar-rosauth (0.1.3-2xenial) xenial; urgency=high

  * possible cmake fix
  * test cmake fix
  * test cmake fix
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 01 May 2013 07:00:00 -0000

ros-lunar-rosauth (0.1.2-2xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/WPI-RAIL/rosauth/issues/1> from rctoris/groovy-devel
    ros_hash_authentication renamed to ros_mac_authentication
  * ros_hash_authentication renamed to ros_mac_authentication
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 12 Mar 2013 07:00:00 -0000

ros-lunar-rosauth (0.1.1-2xenial) xenial; urgency=high

  * version 0.1.1 of rosauth
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 28 Jan 2013 07:15:00 -0000

ros-lunar-rosauth (0.1.0-2xenial) xenial; urgency=high

  * dependencies fixed
  * catkin release
  * test cases added
  * test cases added
  * initial import
  * Create README
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Sun, 27 Jan 2013 18:33:00 -0000

=== debian/control ===
Source: ros-lunar-rosauth
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-roscpp, ros-lunar-rostest
Homepage: http://ros.org/wiki/rosauth
Standards-Version: 3.9.2

Package: ros-lunar-rosauth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-roscpp
Description: Server Side tools for Authorization and Authentication of ROS Clients
